digiKam Developer Documentation: Digikam::ItemInfoCache Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ItemInfoCache Class Reference
Inheritance diagram for Digikam::ItemInfoCache:

## Public Member Functions
QString | albumRelativePath (int albumId)
| Returns the cached relativePath for the given album id.
void | cacheByName (const QExplicitlySharedDataPointer< ItemInfoData > &infoPtr)
| Call this to put data in the hash by file name if you have newly created data and the name is filled.
void | dropInfo (const QExplicitlySharedDataPointer< ItemInfoData > &infoPtr)
| Call this when the data has been dereferenced, before deletion.
int | getImageGroupedCount (qlonglong id)
| Returns the cached grouped count for the given image id.
QExplicitlySharedDataPointer< ItemInfoData > | infoForId (qlonglong id)
| Return an ItemInfoData object for the given image id.
QExplicitlySharedDataPointer< ItemInfoData > | infoForPath (int albumRootId, const QString &relativePath, const QString &name)
| Return an ItemInfoData object for the given album root, relativePath and file name triple.
void | invalidate ()
| Invalidate the cache and all its cached data.

## Member Function Documentation

## ◆ cacheByName()

void Digikam::ItemInfoCache::cacheByName | ( | const QExplicitlySharedDataPointer< ItemInfoData > & | infoPtr | ) |

Call under write lock.

## ◆ infoForId()

QExplicitlySharedDataPointer< ItemInfoData > Digikam::ItemInfoCache::infoForId | ( | qlonglong | id | ) |

A new object is created, or an existing object is returned. If a new object is created, the id field will be initialized.

## ◆ infoForPath()

QExplicitlySharedDataPointer< ItemInfoData > Digikam::ItemInfoCache::infoForPath | ( | int | albumRootId,
|  | const QString & | relativePath,
|  | const QString & | name
| ) |  |

Works if previously cached with cacheByName. Returns 0 if not found.